# $Id: smeserver-openvpn-bridge.spec,v 1.18 2009/04/12 16:11:15 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: OpenVPN, a strong VPN solution build over SSL, pre-configured for bridge mode
%define name smeserver-openvpn-bridge
Name: %{name}
%define version 2.0
%define release 21
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Remote access
Source: %{name}-%{version}.tar.gz

Patch0: smeserver-openvpn-bridge-2.0-remove_dup_migrate.patch
Patch1: smeserver-openvpn-bridge-2.0-pull.patch
Patch2: smeserver-openvpn-bridge-2.0-config_required.patch
Patch3: smeserver-openvpn-bridge-2.0-config_cleanup.patch
Patch4: smeserver-openvpn-bridge-2.0-add_rule.patch
Patch5: smeserver-openvpn-bridge-2.0-locale1.patch
#atch6: smeserver-openvpn-bridge-2.0-openvpn_db.patch
Patch7: smeserver-openvpn-bridge-2.0-check_certs.patch
Patch8: smeserver-openvpn-bridge-2.0-check_bridge.patch
Patch9: smeserver-openvpn-bridge-2.0-configure_crl_url.patch
Patch10: smeserver-openvpn-bridge-2.0-check_certs.patch2
Patch11: smeserver-openvpn-bridge-2.0-create_openvpn_db.patch
Patch12: smeserver-openvpn-bridge-2.0-local_fr_1.patch
Patch13: smeserver-openvpn-bridge-2.0-fixtranslation.patch
Patch14: smeserver-openvpn-bridge-2.0-removedups.patch
Patch15: smeserver-openvpn-bridge-2.0-fixlangtag.patch
Patch16: smeserver-openvpn-bridge-2.0-fix-en-us-locale.patch
Patch17: smeserver-openvpn-bridge-2.0-fix-en-us-locale2.patch
Patch18: smeserver-openvpn-bridge-2.0-fix-en-us-locale3.patch
Patch19: smeserver-openvpn-bridge-2.0-locale-2009-03-03.patch
Patch20: smeserver-openvpn-bridge-2.0-openvpn_2_1_compat.patch
Patch21: smeserver-openvpn-bridge-2.0-cipher_auto.patch
Patch22: smeserver-openvpn-bridge-2.0-remove_obsolete_init_scripts.patch
Patch23: smeserver-openvpn-bridge-2.0-fix_perms_on_pub_dir.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch

BuildRequires: e-smith-devtools

Requires: e-smith-base
Requires: openvpn
Requires: smeserver-bridge-interface
Requires: perl(Net::OpenVPN::Manage)
Obsoletes: smeserver-openvpn-bridge-fws
Obsoletes: smeserver-openvpn-bridge.fws

%description
This package contains all the needed scripts and templates
to have a full working openvpn server running in bridge mode.

%changelog
* Tue Apr 14 2009 Daniel B. <daniel@firewall-services.com> [2.0-21]
- Fixe permissions on public directory (pub and ccd) which must be readable
  by everyone (especially user nobody)

* Sun Apr 12 2009 Daniel B. <daniel@firewall-services.com> [2.0-20]
- remove obsolete init scripts reset-openvpn and openvpn-bridge

* Wed Mar 18 2009 Daniel B. <daniel@firewall-services.com> [2.0-19]
- Do not add cipher directive in client configuration file if set to 'auto'

* Wed Mar 11 2009 Daniel B. <daniel@firewall-services.com> [2.0-18]
- Compatibility with openvpn 2.1 (detect plugin dir location) [SME: 5060]

* Mon Mar 09 2009 Daniel B. <daniel@firewall-services.com> [2.0-17]
- Add smeserver-bridge-interface as dependency
- Update spec description

* Tue Mar 03 2009 SME Translation Server [2.0-16]
- apply locale 2009-03-03 patch

* Tue Mar 03 2009 Jonathan Martens <smeserver-contribs@snetram.nl> [2.0-15]
- Fix some more errors in the en-us locale
- Remove tabs from SPEC file as some editors act weird with them, e.g. nano

* Tue Mar 03 2009 Jonathan Martens <smeserver-contribs@snetram.nl> [2.0-14]
- Fix some grammar errors in the en-us locale

* Tue Mar 03 2009 Jonathan Martens <smeserver-contribs@snetram.nl> [2.0-13]
- Fix a typo in the en-us locale

* Tue Mar 03 2009 Shad L. Lords <slords@mail.com> [2.0-12]
- Fix xml language tag to be correct

* Tue Mar 03 2009 Shad L. Lords <slords@mail.com> [2.0-11]
- Remove duplicate translations that break pootle

* Tue Mar 03 2009 Shad L. Lords <slords@mail.com> [2.0-10]
- Rename locale/en to locale/en-us to pootle works

* Tue Mar 03 2009 Daniel B. <daniel@firewall-services.com> [2.0-9]
- Apply locale patch fr 1
- Add e-smith-devtools as a build dependency

* Thu Jan 29 2009 Daniel B. <daniel@firewall-services.com> [2.0-8]
- Fix an error with the creation of the db

* Wed Jan 28 2009 Daniel B. <daniel@firewall-services.com> [2.0-7]
- Cleanly create openvpn-bridge db

* Fri Jan 16 2009 Daniel B. <daniel@firewall-services.com> [2.0-6]
- Just warn if openvpn db is missing
- Fix certificates check
- Warn if bridge service isn't enabled
- Configure the CRL update URL

* Mon Jan 12 2009 Daniel B. <daniel@firewall-services.com> [2.0-5]
- localization patch

* Mon Dec 22 2008 Daniel B. <daniel@firewall-services.com> [2.0-4]
- Add validate_common_name routine

* Wed Dec 19 2008 Daniel B. <daniel@firewall-services.com> [2.0-3]
- Added option configRequired (accept only certificate listed in the rules section)
- Clean config templates

* Tue Dec 16 2008 Daniel B. <daniel@firewall-services.com> [2.0-2]
- Add missing pull directive in client config

* Fri Dec 12 2008 Daniel B. <daniel@firewall-services.com> [2.0-1]
- Remove useless migrate fragment (now handled by the bridge package)

* Thu Dec 04 2008 Daniel B. <daniel@firewall-services.com> [2.0-0]
- The bridge stuff is now in a separated rpm
- Restarting the service doesn't cut the InternalInterface
  as the bridge isn't restarted
- Correct (truely this time) the bug with dhcpd looping
- Panel re-writen in FormMagick (much more simple now)
- Removed the certificate manager, now handled by phpki
- Real-time clients info using Net::OpenVPN::Manage
- Routes to local networks are pushed to clients

* Tue Feb 06 2007 Daniel Berteaud <daniel@firewall-services.com>
- [1.1-1]
- Bugs fixes (repported by Stephan Braunstein)
- corrections in the en language

* Tue Feb 06 2007 Daniel Berteaud <daniel@firewall-services.com>
- [1.1-0]
- panel enhancement
- little correction in the local file

* Fri Dec 11 2006 Daniel Berteaud <daniel@firewall-services.com>
- [1.0-3]
- correction of permissions on startup and shutdown scripts
- little correction in the local file

* Fri Dec 08 2006 Daniel Berteaud <daniel@firewall-services.com>
- [1.0-2]
- Added missing directory keys/bridge

* Fri Dec 06 2006 Daniel Berteaud <daniel@firewall-services.com>
- [1.0-1]
- Removed useless parameters from the panel (tap, br and localInf)
- Added a stop script (k20openvpn-bridge)
- panel renamed to openvpn-bridge for futur compatibility

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
#%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1

%build
perl createlinks

%{__mkdir_p} root/etc/openvpn/bridge/ccd
%{__mkdir_p} root/etc/openvpn/bridge/priv
%{__mkdir_p} root/etc/openvpn/bridge/pub
%{__mkdir_p} root/var/log/openvpn-bridge

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --file /var/service/openvpn-bridge/run 'attr(0755,root,root)' \
  --file /var/service/openvpn-bridge/log/run 'attr(0755,root,root)' \
  --dir /var/log/openvpn-bridge 'attr(0750,smelog,smelog)' \
  --dir /etc/openvpn/bridge/pub 'attr(0755,root,root)' \
  --dir /etc/openvpn/bridge/priv 'attr(0750,root,root)' \
  --dir /etc/openvpn/bridge/ccd 'attr(0755,root,root)' \
  --file /usr/bin/ovpn-bridge-update-crl  'attr(0750,root,root)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean 
rm -rf $RPM_BUILD_ROOT


%post

%preun
if [ $1 -eq 0 ] ; then
 /sbin/e-smith/db configuration setprop openvpn-bridge status disabled
 sv d /service/openvpn-bridge
fi

true
